import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (p, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (e = (r ? c(t, o, e) : c(e)) || e);
  return r && e && u(t, o, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--turkey", this.class = "c-pieIcon c-pieIcon--turkey", this.name = "IconFlagTurkey";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--turkey"><path fill="#E30A17" d="M15 8A7 7 0 1 1 1 8a7 7 0 0 1 14 0Z"></path><path fill="#fff" d="M8.308 8 11 7.118 9.336 9.427V6.573L11 8.882 8.308 8Zm.183 1.604c-.344.55-.857.971-1.46 1.201a2.954 2.954 0 0 1-1.883.076 2.976 2.976 0 0 1-1.551-1.079 3.016 3.016 0 0 1 0-3.604A2.954 2.954 0 0 1 7.03 5.195c.603.23 1.116.652 1.46 1.2a2.363 2.363 0 0 0-2.623-.637c-.45.175-.837.482-1.11.882a2.413 2.413 0 0 0 0 2.72c.273.4.66.707 1.11.881a2.363 2.363 0 0 0 2.623-.637Z"></path></svg>`;
  }
};
l([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
l([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = l([
  h("icon-flag-turkey")
], s);
export {
  s as IconFlagTurkey
};
